#!/bin/sh

RUNDIR='/run/faultd'

if [ ! -d $RUNDIR ]
then
	mkdir $RUNDIR
fi

if [ ! -e "${RUNDIR}/failed_flag" ]
then
	touch "${RUNDIR}/failed_flag"
	echo "Failing..."
	exit 1
fi

echo "Already failed, exitting normally"
exit 0
