#!/bin/sh

echo -e "\nCALCULATING TEST COVERAGE...\n"

report=`find src -name "*.gcno" -print0 | xargs -0 gcov -r`
final_percentage=`echo "$report" | tail -1 | cut -d ":" -f 2`

echo "$report" | sed '$ d' | grep -v 'Creating'
echo -e "TOTAL COVERAGE: $final_percentage lines were executed\n"
